(provide 'cms-el-get)


(add-to-list 'load-path "~/.emacs.d/el-get/el-get")

(unless (require 'el-get nil 'noerror)
  (with-current-buffer
      (url-retrieve-synchronously
       "https://raw.githubusercontent.com/dimitri/el-get/master/el-get-install.el")
    (goto-char (point-max))
    (eval-print-last-sexp)))

(add-to-list 'el-get-recipe-path "~/.emacs.d/el-get-user/recipes")

(setf el-get-user-package-directory "~/.emacs.d/el-get-user-packages/")
(el-get-bundle flymake
  :type elpa
  :description "flymake (GNU)"
  :website "http://elpa.gnu.org/packages/flymake.html")


(el-get 'sync)
