(provide 'cms-setup-python)
(require 'pydoc)
(require 'eglot)
(defun cms/python-hook-fn ()
  (rainbow-delimiters-mode t))

(defun cms/pydoc-at-point (thing)
  (interactive
   (let* ((tap (thing-at-point 'word t))
          (enable-recursive-minibuffers t)
          (val (completing-read
                (if tap (format "Pydoc something (default %s): " tap)
                  "Pydoc something-: ")
                ;; selectrum got stuck on an old prompt and value until i filled in all these arguments
                (pydoc-all-modules t) nil nil nil nil tap nil)))
     (list val)))
  (pydoc thing))
                
(add-hook 'python-mode-hook 'cms/python-hook-fn)


