;; customisations in a different file
(setq custom-file "~/.emacs.d/cms/custom.el")
(setq custom-theme-directory "~/.emacs.d/cms/theme")
(load custom-file)
;; https://lists.gnu.org/r/bug-gnu-emacs/2021-06/msg01362.html
(when (daemonp)
      (face-spec-set 'cursor '((((background dark)) :background "#f00")
                               (((background light)) :background "#f00"))))

(add-to-list 'load-path "~/.emacs.d/cms/")


                                        ;(require 'cms-el-get)
(require 'cms-straight)
(require 'cms-editing)
(require 'cms-elisps)
(require 'cms-setup-modes)
(require 'cms-setup-display)
(require 'cms-setup-lisp)
(require 'cms-setup-python)
(require 'cms-setup-js)
(require 'cms-setup-cxx)
(require 'cms-setup-go)
(require 'cms-setup-completion)
(require 'cms-org)
(require 'cms-keybindings)
(require 'dired-x)
(require 'cms-globals)
(require 'cms-k8s)
(with-eval-after-load 'magit
  (require 'forge))


(if (string-equal "work" (daemonp))
    (load-theme 'cms-blueX)
  (load-theme 'gruvbox))
;; themes seem to break my cursor ?
(set-cursor-color "red")
