(provide 'cms-expansion)
(defun cms/try-he-company-candidates (old)
  (if (not old)
      (progn
	(he-init-string (he-lisp-symbol-beg) (point))
	(company-complete)
	(setf he-expand-list company-candidates)

	(while (and he-expand-list
		    (he-string-member (car he-expand-list) he-tried-table))
	  (message "<%s>" he-expand-list)
	  (setq he-expand-list (cdr he-expand-list)))
	(if (null he-expand-list)
	    (progn
	      (when old (he-reset-string))
	      ())
	  (he-substitute-string (car he-expand-list))
	  (setq he-expand-list (cdr he-expand-list))
	  t))))

(defun my-try-expand-company (old)
  (unless company-candidates
    (company-complete))
  (if (not old)
      (progn
	(he-init-string (he-lisp-symbol-beg) (point))
	(if (not (he-string-member he-search-string he-tried-table))
	    (setq he-tried-table (cons he-search-string he-tried-table)))
	(setq he-expand-list
	      (and (not (equal he-search-string ""))
		   company-candidates))))
  (while (and he-expand-list
	      (he-string-member (car he-expand-list) he-tried-table))
    (setq he-expand-list (cdr he-expand-list)))
  (if (null he-expand-list)
      (progn
	(if old (he-reset-string))
	())
    (progn
      (he-substitute-string (car he-expand-list))
      (setq he-expand-list (cdr he-expand-list))
      t)))




;; (setf hippie-expand-try-functions-list
;;       '(
;; 	cms/try-he-company-candidates
;;         my-try-expand-company
;; 	try-complete-file-name-partially
;; 	try-complete-file-name
;; 	try-expand-all-abbrevs
;; 	try-expand-list
;; 	try-expand-line
;; 	try-expand-dabbrev
;; 	try-expand-dabbrev-all-buffers
;; 	try-expand-dabbrev-from-kill
;; 	try-complete-lisp-symbol-partially
;; 	try-complete-lisp-symbol))

(setf hippie-expand-try-functions-list
      '(my-try-expand-company))

;(company-pseudo-tooltip-unless-just-one-frontend company-echo-metadata-frontend company-preview-if-just-one-frontend)
