(provide 'cms-globals )
(dumb-jump-mode t)
(super-save-mode +1)
(global-auto-revert-mode t)
(savehist-mode t)
(setf savehist-minibuffer-history t)
(setf load-prefer-newer t)
(setf ediff-window-setup-function 'ediff-setup-windows-plain)
(setf enable-remote-dir-locals t)
(fset 'yes-or-no-p 'y-or-n-p)
(setq require-final-newline t)

(unless (file-directory-p "~/tmp/emacs/")
  (make-directory "~/tmp/emacs/" t))

(setq backup-directory-alist
      `((".*" . "~/tmp/emacs/")))
(setq auto-save-file-name-transforms
      `((".*" "~/tmp/emacs/" t)))

;; need this for tramp to respect remote PATHs
(require 'tramp)
(add-to-list 'tramp-remote-path 'tramp-own-remote-path)
(prefer-coding-system 'utf-8)
(set-default-coding-systems 'utf-8)
(set-terminal-coding-system 'utf-8)
(set-keyboard-coding-system 'utf-8)
(electric-pair-mode +1)
