;; start with 
(require 'org)
(require 'org-inlinetask)
(require 'org-journal)


(setq cms/org-root "~/Documents/notes")
(setq org-todo-keywords
      '((sequence "TODO(t)" "STARTED(s)" "WAITING(w)" "|" "DONE(d)" "CANCELLED(x)")
        (sequence "MEETING(m)" "|" "DONE(d)" "CANCELLED(x)")))

(setq org-agenda-files '("~/Documents/notes/organizer.org"))
(setq org-agenda-span 'day)
(setq org-agenda-todo-ignore-with-date t)
(setq org-capture-templates
      '(("t" "Todo [inbox]" entry
         (file+headline "~/Documents/notes/organizer.org" "INBOX")
         "* TODO %i%?")
        ("m" "Meeting [meetings]" entry
         (file+headline "~/Documents/notes/organizer.org" "meetings")
         "* MEETING %i%?")))
(setq org-catch-invisible-edits 'error)
(setq org-default-notes-file "~/Documents/notes/organizer.org")
(setq org-journal-dir "~/Documents/notes/journal/")
(setq org-journal-file-type 'yearly)
(setq org-refile-targets '((org-agenda-files :maxlevel . 6)))
(setq org-agenda-current-time-string "←··NOW··················")
(provide 'cms-org)
