(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(Info-additional-directory-list '("/home/cms/doc/info/"))
 '(ansi-color-names-vector
   ["#212526" "#ff4b4b" "#b4fa70" "#fce94f" "#729fcf" "#e090d7" "#8cc4ff" "#eeeeec"])
 '(auth-source-save-behavior nil)
 '(blink-matching-paren 'jump)
 '(bmkp-last-as-first-bookmark-file "~/.emacs.d/bookmarks")
 '(bookmark-bmenu-file-column 60)
 '(company-format-margin-function nil)
 '(company-frontends
   '(company-echo-frontend company-echo-strip-common-frontend company-pseudo-tooltip-unless-just-one-frontend company-echo-metadata-frontend company-preview-if-just-one-frontend))
 '(company-idle-delay nil)
 '(compilation-error-regexp-alist
   '(absoft ada aix ant bash borland python-tracebacks-and-caml cmake cmake-info comma cucumber msft edg-1 edg-2 epc ftnchek gradle-kotlin iar ibm irix java jikes-file maven jikes-line clang-include gcc-include ruby-Test::Unit gmake gnu lcc makepp mips-1 mips-2 omake oracle perl php rxp sparc-pascal-file sparc-pascal-line sparc-pascal-example sun sun-ada watcom 4bsd gcov-file gcov-header gcov-nomark gcov-called-line gcov-never-called perl--Pod::Checker perl--Test perl--Test2 perl--Test::Harness weblint guile-file guile-line))
 '(cursor-type '(hbar . 3))
 '(custom-enabled-themes '(gruvbox deeper-blue))
 '(custom-safe-themes
   '("e21a22e1a999f065e92c89e8928ee475d3677fde0258a0761f1e51a8842c87f9" "d14f3df28603e9517eb8fb7518b662d653b25b26e83bd8e129acea042b774298" "1328ea33ea6147d2c01c7b3844c65c8d879700bea577118ca57c342f1fc9c2bc" "8a1a881be26859707525d0642d79f6ae0c9a58a36eebcee2a7136b33860b0a6f" "fb4b699211a5935d48ea3616e2ee3ca4d398ab6e64e531b1713543658f12a0cf" "4daaecbaa867b8000049495141855b3f9e87490f8ca25b21979348637cd7a7cc" "bc4aadf0a2402652d9286dada78e4027d633d68ce0f90f951ccbbb47b8e899bf" "d75d1082951d24966f79ee90898e36c0a61249d7b4b26cb62d057c5a8394daee" "b3639ca19c16a38b4642080df69aae5af3b4d1963571c48bd17e18299dadd4f2" "2ce83ae40daaf50f428c331d8348a2138e1896156d003558b3cc62f1af4fbafc" "cd2e991a501eb2e255b5bda361a2cd00d7b8a5089bb2c217b165bb604da26657" "e42f94f1e6cc232712bbc0b028679e240fa3b6642a9968ecb80c2daef87437b4" "69ee6ece6c51ef0a4c45b7b38f8958064be099c68896d010beee48435c0d92b8" "a6d74749b67da8f7b61075ab0073c42cf4643ca907b72b3c6949d98ee01d9363" "6bd27868aa7f74064d5f5161f378b14bb79fc435f961d6a33081e4fe9a1efd75" default))
 '(debug-on-error t)
 '(dired-dwim-target t)
 '(eglot-ignored-server-capabilites '(:documentHighlightProvider))
 '(eglot-ignored-server-capabilities '(:documentHighlightProvider))
 '(erc-minibuffer-notice t)
 '(expand-region-contract-fast-key "<down>")
 '(flymake-error-bitmap '(right-triangle compilation-error))
 '(flymake-fringe-indicator-position nil)
 '(flymake-gui-warnings-enabled t)
 '(flymake-no-changes-timeout 10)
 '(flymake-start-on-flymake-mode t)
 '(forge-alist
   '(("lab.plat.farm" "lab.plat.farm/api/v4" "gitlab.com" forge-gitlab-repository)))
 '(forge-topic-list-limit '(60 . -1))
 '(gc-cons-threshold 80000)
 '(gcmh-mode t)
 '(godef-command "/home/cms/go/bin/godef")
 '(gofmt-command "/home/cms/go/bin/goimports")
 '(hippie-expand-try-functions-list
   '(try-complete-file-name-partially try-complete-file-name try-expand-all-abbrevs try-expand-dabbrev try-expand-line try-expand-dabbrev-all-buffers try-expand-dabbrev-from-kill try-expand-list try-complete-lisp-symbol-partially try-complete-lisp-symbol))
 '(imenu-auto-rescan t)
 '(indent-tabs-mode nil)
 '(ispell-dictionary nil)
 '(js-indent-level 2)
 '(magit-completing-read-function 'magit-builtin-completing-read)
 '(org-catch-invisible-edits 'error)
 '(package-archives
   '(("melpa" . "https://melpa.org/packages/")
     ("gnu" . "https://elpa.gnu.org/packages/")))
 '(perl-indent-level 2)
 '(safe-local-variable-values
   '((eval ignore-errors "Write-contents-functions is a buffer-local alternative to before-save-hook"
           (add-hook 'write-contents-functions
                     (lambda nil
                       (delete-trailing-whitespace)
                       nil))
           (require 'whitespace)
           "Sometimes the mode needs to be toggled off and on."
           (whitespace-mode 0)
           (whitespace-mode 1))
     (whitespace-style face tabs trailing lines-tail)
     (company-clang-arguments "-I/home/<user>/project_root/include1/" "-I/home/<user>/project_root/include2/")))
 '(savehist-mode t)
 '(selectrum-display-style '(horizontal))
 '(tab-width 8)
 '(tooltip-reuse-hidden-frame t)
 '(use-system-tooltips nil)
 '(warning-suppress-types '((comp)))
 '(web-mode-code-indent-offset 2)
 '(xterm-mouse-mode t)
 '(yaml-indent-offset 2))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:inherit nil :extend nil :stipple nil :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 113 :width normal :family "IBM Plex Mono"))))
 '(auto-dim-other-buffers-face ((t (:background "#235"))))
 '(company-scrollbar-bg ((t (:background "gray8"))))
 '(company-scrollbar-fg ((t (:background "sky blue"))))
 '(company-template-field ((t (:background "dodger blue" :foreground "yellow"))))
 '(company-tooltip ((t (:background "light slate gray" :foreground "black"))))
 '(company-tooltip-common ((t (:foreground "yellow"))))
 '(company-tooltip-selection ((t (:background "royal blue"))))
 '(ediff-even-diff-A ((t (:background "black"))))
 '(ediff-even-diff-Ancestor ((t (:background "black"))))
 '(ediff-even-diff-B ((t (:background "black"))))
 '(ediff-even-diff-C ((t (:background "black"))))
 '(ediff-odd-diff-A ((t (:background "black"))))
 '(ediff-odd-diff-B ((t (:background "black"))))
 '(ediff-odd-diff-C ((t (:background "black"))))
 '(flymake-error ((t nil)))
 '(flymake-warning ((t nil)))
 '(font-lock-comment-face ((t (:foreground "chocolate1" :slant italic))))
 '(highlight ((t (:background "royal blue" :foreground "gold" :weight extra-bold))))
 '(ido-only-match ((t (:foreground "PeachPuff1" :weight extra-bold))))
 '(ido-subdir ((t (:foreground "yellow"))))
 '(minibuffer-prompt ((t (:foreground "cyan" :weight bold))))
 '(rainbow-delimiters-base-face ((t nil)))
 '(rainbow-delimiters-depth-1-face ((t (:inherit rainbow-delimiters-base-face :foreground "spring green"))))
 '(rainbow-delimiters-depth-2-face ((t (:inherit rainbow-delimiters-base-face :foreground "yellow"))))
 '(rainbow-delimiters-depth-3-face ((t (:inherit rainbow-delimiters-base-face :foreground "green"))))
 '(rainbow-delimiters-depth-4-face ((t (:inherit rainbow-delimiters-base-face :foreground "magenta"))))
 '(rainbow-delimiters-depth-5-face ((t (:inherit rainbow-delimiters-base-face :foreground "orange red"))))
 '(rainbow-delimiters-depth-6-face ((t (:inherit rainbow-delimiters-base-face :foreground "dark turquoise"))))
 '(rainbow-delimiters-depth-7-face ((t (:inherit rainbow-delimiters-base-face :foreground "dark khaki"))))
 '(rainbow-delimiters-depth-8-face ((t (:inherit rainbow-delimiters-base-face :foreground "purple"))))
 '(rainbow-delimiters-depth-9-face ((t (:inherit rainbow-delimiters-base-face :foreground "sea green"))))
 '(rainbow-delimiters-mismatched-face ((t (:inherit (rainbow-delimiters-unmatched-face rainbow-delimiters-base-face) :background "red" :foreground "white"))))
 '(rainbow-delimiters-unmatched-face ((t (:inherit rainbow-delimiters-base-face :background "red" :foreground "yellow"))))
 '(show-paren-match ((t (:background "white" :foreground "midnight blue" :weight extra-bold))))
 '(slime-repl-inputed-output-face ((t (:foreground "yellow")))))

